<screen>
	<!-- options screen -->
	<name>OptionsScreen</name>
	
	<rootcomponent>
		<name>optionsform</name>
		<event>
			<name>create</name>
			<node>
			</node>
		</event>
		<event>
			<name>destroy</name>
			<node>
				<lifetime>300</lifetime>
			</node>
		</event>

 		<component>
		<name>root</name>
		<event>
			<name>create</name>
			<sound>/sound/window_moves_in.ogg</sound>
			<node>
				<keyframe><time>0</time>
					<position><y>-200</y></position>
					<scale>1.8</scale>
					<color>0x00FFFFFF</color>
				</keyframe>
				<keyframe><time>300</time>
					<position><y>0</y></position>
					<scale>1.</scale>
					<color>0xFFFFFFFF</color>
				</keyframe>
			</node>
		</event>
		<event>
			<name>destroy</name>
			<sound>/sound/window_moves_out.ogg</sound>
			<node>
				<lifetime>300</lifetime>
				<keyframe><time>300</time>
					<position><y>-200</y></position>
					<scale>1.8</scale>
					<color>0x00FFFFFF</color>
				</keyframe>
			</node>
		</event>

		<component>
			<name>bg</name>
			<event>
				<name>create</name>
				<node />
				<!--node>
					<replace>/gui/component/screenframe.xml</replace>
					<position> <x>0</x> <y>0</y> <z>0</z> </position>
				</node-->
			</event>
		</component>

		<!-- top text -->
		<component>
			<name>toptext</name>
			<caption>$hierarchy.Screen.Options.caption</caption>
			<captioncolor>0xFFE6A748</captioncolor>
			<captionshadowcolor>0xFF000000</captionshadowcolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>0</x> <y>-260</y> <z>-1</z> </position>
				</node>
			</event>
		</component>

		<!-- ok button -->
		<component>
			<name>okbutton</name>
			<hotkey>KEY_RETURN</hotkey>
			<caption>$hierarchy.ok</caption>
			<captioncolor>0xFF04091E</captioncolor>
			<captionscale>0.85</captionscale>
			<width>170</width>
			<height>50</height>
			<event>
				<name>create</name>
				<node>
					<replace>/gui/component/btn-mi-normal.xml</replace>
					<position> <x>-100</x> <y>240</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>mousein</name>
				<sound>/sound/mouseover.ogg</sound>
				<node>
					<replace>/gui/component/btn-mi-highlight.xml</replace>
				</node>
			</event>
			<event>
				<name>mouseout</name>
				<sound>/sound/mouseout.ogg</sound>
				<node>
					<replace>/gui/component/btn-mi-normal.xml</replace>
				</node>
			</event>
		</component>
		<!-- credits button -->
		<component>
			<name>creditsbutton</name>
			<caption>$hierarchy.Screen.Options.credits</caption>
			<captioncolor>0xFF04091E</captioncolor>
			<captionscale>0.85</captionscale>
			<hotkey>KEY_C</hotkey>
			<width>170</width>
			<height>50</height>
			<event>
				<name>create</name>
				<node>
					<replace>/gui/component/btn-mi-normal.xml</replace>
					<position> <x>100</x> <y>240</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>mousein</name>
				<sound>/sound/mouseover.ogg</sound>
				<node>
					<replace>/gui/component/btn-mi-highlight.xml</replace>
				</node>
			</event>
			<event>
				<name>mouseout</name>
				<sound>/sound/mouseout.ogg</sound>
				<node>
					<replace>/gui/component/btn-mi-normal.xml</replace>
				</node>
			</event>
		</component>


		<!-- hidden cancel button - to intercept ESC-->
		<component>
			<name>cancelbutton</name>
			<hotkey>KEY_ESCAPE</hotkey>
			<event>
				<name>create</name>
				<node>
				</node>
			</event>
		</component>

		<component>
			<name>lefttext1</name>
			<align>1</align>
			<caption>$hierarchy.Screen.Options.soundVolume</caption>
			<captioncolor>0xFF000000</captioncolor>
			<captionshadowcolor>0xFFFFFFFF</captionshadowcolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>-300</x> <y>-150</y> <z>-1</z> </position>
				</node>
			</event>
			<component>
				<name>valuetext1</name>
				<caption> </caption>
				<captioncolor>0xFF000000</captioncolor>
				<event>
					<name>create</name>
					<node>
						<position> <x>450</x> <y>0</y> <z>-1</z> </position>
					</node>
				</event>
			</component>
			
			
		<component>
			<name>decbutton1</name>
			<tag>-1</tag>
			<width>80</width>
			<height>42</height>
			<event>
				<name>create</name>
				<node>
					<replace>/gui/component/arrow-left.xml</replace>
					<position> <x>340</x> <y>0</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>mousein</name>
				<sound>/sound/mouseover.ogg</sound>
				<node>
					<replace>/gui/component/arrow-left-mousein.xml</replace>
				</node>
			</event>
			<event>
				<name>mouseout</name>
				<sound>/sound/mouseout.ogg</sound>
				<node>
					<replace>/gui/component/arrow-left-mouseout.xml</replace>
				</node>
			</event>
		</component>
		
		<component>
			<name>incbutton1</name>
			<tag>1</tag>
			<width>80</width>
			<height>42</height>
			<event>
				<name>create</name>
				<node>
					<replace>/gui/component/arrow-right.xml</replace>
					<position> <x>560</x> <y>0</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>mousein</name>
				<sound>/sound/mouseover.ogg</sound>
				<node>
					<replace>/gui/component/arrow-right-mousein.xml</replace>
				</node>
			</event>
			<event>
				<name>mouseout</name>
				<sound>/sound/mouseout.ogg</sound>
				<node>
					<replace>/gui/component/arrow-right-mouseout.xml</replace>
				</node>
			</event>
		</component>
			
		</component>
		
		<!-- xxxxxxxxxxxxxxxxxxxxxxxxx left text2 xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
		
		<component>
			<name>lefttext2</name>
			<align>1</align>
			<caption>$hierarchy.Screen.Options.musicVolume</caption>
			<captioncolor>0xFF000000</captioncolor>
			<captionshadowcolor>0xFFFFFFFF</captionshadowcolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>-300</x> <y>-90</y> <z>-1</z> </position>
				</node>
			</event>
			<component>
				<name>valuetext2</name>
				<caption> </caption>
				<captioncolor>0xFF000000</captioncolor>
				<event>
					<name>create</name>
					<node>
						<position> <x>450</x> <y>0</y> <z>-1</z> </position>
					</node>
				</event>
			</component>

		<component>
			<name>decbutton2</name>
			<tag>-2</tag>
			<width>80</width>
			<height>42</height>
			<event>
				<name>create</name>
				<node>
					<replace>/gui/component/arrow-left.xml</replace>
					<position> <x>340</x> <y>0</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>mousein</name>
				<sound>/sound/mouseover.ogg</sound>
				<node>
					<replace>/gui/component/arrow-left-mousein.xml</replace>
				</node>
			</event>
			<event>
				<name>mouseout</name>
				<sound>/sound/mouseout.ogg</sound>
				<node>
					<replace>/gui/component/arrow-left-mouseout.xml</replace>
				</node>
			</event>
		</component>
		<component>
			<name>incbutton2</name>
			<tag>2</tag>
			<width>80</width>
			<height>42</height>
			<event>
				<name>create</name>
				<node>
					<replace>/gui/component/arrow-right.xml</replace>
					<position> <x>560</x> <y>0</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>mousein</name>
				<sound>/sound/mouseover.ogg</sound>
				<node>
					<replace>/gui/component/arrow-right-mousein.xml</replace>
				</node>
			</event>
			<event>
				<name>mouseout</name>
				<sound>/sound/mouseout.ogg</sound>
				<node>
					<replace>/gui/component/arrow-right-mouseout.xml</replace>
				</node>
			</event>
		</component>
		</component>

		<!-- left text3 -->
		
		<component>
			<name>lefttext3</name>
			<align>1</align>
			<caption>$hierarchy.Screen.Options.mode</caption>
			<captioncolor>0xFF000000</captioncolor>
			<captionshadowcolor>0xFFFFFFFF</captionshadowcolor>
			<event>
				<name>create</name>
				<node>
					<position> <x>-300</x> <y>-30</y> <z>-1</z> </position>
				</node>
			</event>
			<component>
				<name>valuetext3</name>
				<caption> </caption>
				<captioncolor>0xFF000000</captioncolor>
				<event>
					<name>create</name>
					<node>
						<position> <x>450</x> <y>0</y> <z>-1</z> </position>
					</node>
				</event>
			</component>
		<component>
			<name>decbutton3</name>
			<tag>-3</tag>
			<width>80</width>
			<height>42</height>
			<event>
				<name>create</name>
				<node>
					<replace>/gui/component/arrow-left.xml</replace>
					<position> <x>340</x> <y>0</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>mousein</name>
				<sound>/sound/mouseover.ogg</sound>
				<node>
					<replace>/gui/component/arrow-left-mousein.xml</replace>
				</node>
			</event>
			<event>
				<name>mouseout</name>
				<sound>/sound/mouseout.ogg</sound>
				<node>
					<replace>/gui/component/arrow-left-mouseout.xml</replace>
				</node>
			</event>
		</component>
		<component>
			<name>incbutton3</name>
			<tag>3</tag>
			<width>80</width>
			<height>42</height>
			<event>
				<name>create</name>
				<node>
					<replace>/gui/component/arrow-right.xml</replace>
					<position> <x>560</x> <y>0</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>mousein</name>
				<sound>/sound/mouseover.ogg</sound>
				<node>
					<replace>/gui/component/arrow-right-mousein.xml</replace>
				</node>
			</event>
			<event>
				<name>mouseout</name>
				<sound>/sound/mouseout.ogg</sound>
				<node>
					<replace>/gui/component/arrow-right-mouseout.xml</replace>
				</node>
			</event>
		</component>
		</component>
		
		<!-- left text4 -->
		
		<component>
			<name>lefttext4</name>
			<align>1</align>
			<caption>$hierarchy.Screen.Options.language</caption>
			<captioncolor>0xFF000000</captioncolor>
			<captionshadowcolor>0xFFFFFFFF</captionshadowcolor>
	
			<event>
				<name>create</name>
				<node>
					<position> <x>-300</x> <y>30</y> <z>-1</z> </position>
				</node>
			</event>
			<component>
				<name>valuetext4</name>
				<caption> </caption>
				<captioncolor>0xFF000000</captioncolor>
				<event>
					<name>create</name>
					<node>
						<position> <x>450</x> <y>0</y> <z>-1</z> </position>
					</node>
				</event>
			</component>
		<component>
			<name>decbutton4</name>
			<tag>-4</tag>
			<width>80</width>
			<height>42</height>
			<event>
				<name>create</name>
				<node>
					<replace>/gui/component/arrow-left.xml</replace>
					<position> <x>340</x> <y>0</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>mousein</name>
				<sound>/sound/mouseover.ogg</sound>
				<node>
					<replace>/gui/component/arrow-left-mousein.xml</replace>
				</node>
			</event>
			<event>
				<name>mouseout</name>
				<sound>/sound/mouseout.ogg</sound>
				<node>
					<replace>/gui/component/arrow-left-mouseout.xml</replace>
				</node>
			</event>
		</component>
		<component>
			<name>incbutton4</name>
			<tag>4</tag>
			<width>80</width>
			<height>42</height>
			<event>
				<name>create</name>
				<node>
					<replace>/gui/component/arrow-right.xml</replace>
					<position> <x>560</x> <y>0</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>mousein</name>
				<sound>/sound/mouseover.ogg</sound>
				<node>
					<replace>/gui/component/arrow-right-mousein.xml</replace>
				</node>
			</event>
			<event>
				<name>mouseout</name>
				<sound>/sound/mouseout.ogg</sound>
				<node>
					<replace>/gui/component/arrow-right-mouseout.xml</replace>
				</node>
			</event>
		</component>
		</component>

		<!-- left text5 -->
		<component>
			<name>lefttext5</name>
			<align>1</align>
			<caption>$hierarchy.Screen.Options.cursortype</caption>
			<captioncolor>0xFF000000</captioncolor>
			<captionshadowcolor>0xFFFFFFFF</captionshadowcolor>

			<event>
				<name>create</name>
				<node>
					<position> <x>-300</x> <y>90</y> <z>-1</z> </position>
				</node>
			</event>
			<component>
				<name>valuetext5</name>
				<caption> </caption>
				<captioncolor>0xFF000000</captioncolor>
				<event>
					<name>create</name>
					<node>
						<position> <x>450</x> <y>0</y> <z>-1</z> </position>
					</node>
				</event>
			</component>
		<component>
			<name>decbutton5</name>
			<tag>-5</tag>
			<width>80</width>
			<height>42</height>
			<event>
				<name>create</name>
				<node>
					<replace>/gui/component/arrow-left.xml</replace>
					<position> <x>340</x> <y>0</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>mousein</name>
				<sound>/sound/mouseover.ogg</sound>
				<node>
					<replace>/gui/component/arrow-left-mousein.xml</replace>
				</node>
			</event>
			<event>
				<name>mouseout</name>
				<sound>/sound/mouseout.ogg</sound>
				<node>
					<replace>/gui/component/arrow-left-mouseout.xml</replace>
				</node>
			</event>
		</component>
		<component>
			<name>incbutton5</name>
			<tag>5</tag>
			<width>80</width>
			<height>42</height>
			<event>
				<name>create</name>
				<node>
					<replace>/gui/component/arrow-right.xml</replace>
					<position> <x>560</x> <y>0</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>mousein</name>
				<sound>/sound/mouseover.ogg</sound>
				<node>
					<replace>/gui/component/arrow-right-mousein.xml</replace>
				</node>
			</event>
			<event>
				<name>mouseout</name>
				<sound>/sound/mouseout.ogg</sound>
				<node>
					<replace>/gui/component/arrow-right-mouseout.xml</replace>
				</node>
			</event>
		</component>
		</component>

		<!-- left text6 -->

		<component>
			<name>lefttext6</name>
			<align>1</align>
			<caption>$hierarchy.Screen.Options.gamehints</caption>
			<captioncolor>0xFF000000</captioncolor>
			<captionshadowcolor>0xFFFFFFFF</captionshadowcolor>

			<event>
				<name>create</name>
				<node>
					<position> <x>-300</x> <y>150</y> <z>-1</z> </position>
				</node>
			</event>
			<component>
				<name>valuetext6</name>
				<caption> </caption>
				<captioncolor>0xFF000000</captioncolor>
				<event>
					<name>create</name>
					<node>
						<position> <x>450</x> <y>0</y> <z>-1</z> </position>
					</node>
				</event>
			</component>
		<component>
			<name>decbutton6</name>
			<tag>-6</tag>
			<width>80</width>
			<height>42</height>
			<event>
				<name>create</name>
				<node>
					<replace>/gui/component/arrow-left.xml</replace>
					<position> <x>340</x> <y>0</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>mousein</name>
				<sound>/sound/mouseover.ogg</sound>
				<node>
					<replace>/gui/component/arrow-left-mousein.xml</replace>
				</node>
			</event>
			<event>
				<name>mouseout</name>
				<sound>/sound/mouseout.ogg</sound>
				<node>
					<replace>/gui/component/arrow-left-mouseout.xml</replace>
				</node>
			</event>
		</component>
		<component>
			<name>incbutton6</name>
			<tag>6</tag>
			<width>80</width>
			<height>42</height>
			<event>
				<name>create</name>
				<node>
					<replace>/gui/component/arrow-right.xml</replace>
					<position> <x>560</x> <y>0</y> <z>-1</z> </position>
				</node>
			</event>
			<event>
				<name>mousein</name>
				<sound>/sound/mouseover.ogg</sound>
				<node>
					<replace>/gui/component/arrow-right-mousein.xml</replace>
				</node>
			</event>
			<event>
				<name>mouseout</name>
				<sound>/sound/mouseout.ogg</sound>
				<node>
					<replace>/gui/component/arrow-right-mouseout.xml</replace>
				</node>
			</event>
		</component>
		</component>


<!-- ++++++++++++++ other buttons ++++++++++++++++ -->
		
</component>
</rootcomponent>
</screen>